File.hpp File Reference

File, descriptors and sockets. More...

`#include <string>`
`#include <iostream>`
`#include <vector>`
`#include <ctime>`
`#include <ui-utilcpp/Exception.hpp>`
`#include <ui-utilcpp/Sys.hpp>`
Include dependency graph for File.hpp:
This graph shows which files directly or indirectly include this file:

## Data Structures

class | UI::Util::PIDFile
| Write and keep pid file during lifetime. More...
class | UI::Util::AutoRemoveFile
| Guarantuee to run "remove(2)" on path in destructor. More...
class | UI::Util::CFileStream
| Simple exception-save FILE abstraction. More...
class | UI::Util::FileDescriptor
| File Descriptor Holder Class. More...
class | UI::Util::File
| File representation. More...
class | UI::Util::PosixFileMutex
| Mutex For Posix Advisory File Locking. More...
class | UI::Util::BSDFileMutex
| Mutex For BSD Advisory File Locking. More...
class | UI::Util::FsInfo
| File system information abstraction. More...

## Namespaces

namespace | UI
| Namespace for any Schlund+Partner C++ code.
namespace | UI::Util
| Namespace for ui-utilcpp.

## Functions

std::string | UI::Util::getenv (std::string const &name)
| Like getenv(3), but returns empty string when env is missing.
std::string | UI::Util::guessConfFile (std::string const &id, std::string const &suffix=".conf")
| Guess a config file (/etc/id.conf or ~/.id.conf).
void | UI::Util::fileCopy (std::string const &src, std::string const &dest)
| File copy from file names.
bool | UI::Util::fileExists (std::string const &fName)
| Check if a file exists using stat(2).
time_t | UI::Util::fileModificationTime (std::string const &path)
| Get the modification time for a file.

## Detailed Description

File, descriptors and sockets.